<?php

/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

use D3\Ordermanager\Setup as ModuleSetup;

/**
 * Module information
 */
$aModule = [

    'd3FileRegister'    => [
        /********** deprecated ***********/

        'd3/ordermanager/IntelliSenseHelper.php',
        'd3/ordermanager/metadata.php',
        'd3/ordermanager/d3metadata.php',

        'd3/ordermanager/Application/views/admin/blocks/d3ordermanager_order_remark_type.tpl',
        'd3/ordermanager/Application/views/admin/de/d3_ordermanager_lang.php',
        'd3/ordermanager/Application/views/admin/en/d3_ordermanager_lang.php',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanagerset_main.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_list.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_trigger.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_ordermanager_bottomnaviitem.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_mall.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_overview.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_requ.tpl',
        'd3/ordermanager/Application/views/admin/tpl/inc/d3_cfg_ordermanageritem_restrictions.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_ordermanager_jobs.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_main.tpl',
        'd3/ordermanager/Application/views/admin/tpl/d3_cfg_ordermanageritem_action.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_changediscount.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_generatepdf.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_sendpushnotification.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_sendmail.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_exportlist.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_getpdfdocuments.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_stornoorder.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_executemethod.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_moveordertofolder.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_custdelfromgroup.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_changedelcosts.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_setpaiddate.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_setsendednowdate.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_setfieldvalue.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_deleteorder.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Actions/d3ordermanager_action_custaddtogroup.tpl',
        'd3/ordermanager/Application/views/admin/tpl/email/html/d3ordermanager_delivery_delay.tpl',
        'd3/ordermanager/Application/views/admin/tpl/email/plain/d3ordermanager_delivery_delay.tpl',
        'd3/ordermanager/Application/views/admin/tpl/email/html/d3ordermanager_info_html.tpl',
        'd3/ordermanager/Application/views/admin/tpl/email/plain/d3ordermanager_info_plain.tpl',
        'd3/ordermanager/Application/views/admin/tpl/export-templates/XML-Vorlage.tpl',
        'd3/ordermanager/Application/views/admin/tpl/export-templates/CSV-Vorlage.tpl',
        'd3/ordermanager/Application/views/admin/tpl/inc/d3ordermanager_activeswitch.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_invoiceno.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_folderfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_datenotset.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_notingroupfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_deliveryfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_languagefilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_trackcodefilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_otherjob.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_ingroupfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_notinfolderfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_timespanfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_articlecontent.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_toordernr.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_noarticlecontent.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_articlestorno.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_ordernonstorno.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_currencyfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_orderstorno.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_orderfield.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_ordersum.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_paymentfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_executemethodfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_weekdayfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_mailregexpfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_countryfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_transactionfilter.tpl',
        'd3/ordermanager/Application/views/admin/tpl/Requirements/d3ordermanager_requ_fromordernr.tpl',

        'd3/ordermanager/Application/views/tpl/email/html/d3ordermanager_delivery_delay.tpl',
        'd3/ordermanager/Application/views/tpl/email/html/d3ordermanager_delivery_delay_subject.tpl',
        'd3/ordermanager/Application/views/tpl/email/plain/d3ordermanager_delivery_delay.tpl',

        'd3/ordermanager/Application/Controller/d3ordermanager_response.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_action.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem.php',
        'd3/ordermanager/Application/Controller/Admin/d3_ordermanager_jobs.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanagerlog.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanagerset_main.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_mall.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_list.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_requ.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanagerlog_list.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_settings.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_main.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanagerset.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanagerset_list.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_overview.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanagerset_licence.php',
        'd3/ordermanager/Application/Controller/Admin/d3_cfg_ordermanageritem_trigger.php',

        'd3/ordermanager/Application/Model/d3ordermanager_pdfhandler.php',
        'd3/ordermanager/Application/Model/d3ordermanagerlist.php',
        'd3/ordermanager/Application/Model/d3ordermanager_listgenerator.php',
        'd3/ordermanager/Application/Model/d3ordermanager_export.php',
        'd3/ordermanager/Application/Model/d3ordermanager.php',
        'd3/ordermanager/Application/Model/d3ordermanager_toorderassignment.php',
        'd3/ordermanager/Application/Model/d3ordermanager_execute.php',
        'd3/ordermanager/Application/Model/d3ordermanager_conf.php',
        'd3/ordermanager/Application/Model/d3ordermanager_renderererrorhandler.php',
        'd3/ordermanager/Application/Model/d3ordermanager_actionrequirement_interface.php',
        'd3/ordermanager/Application/Model/d3ordermanager_configurationcheck.php',
        'd3/ordermanager/Application/Model/d3ordermanager_partgrouplist_abstract.php',
        'd3/ordermanager/Application/Model/d3ordermanager_partgrouplist_interface.php',
        'd3/ordermanager/Application/Model/d3ordermanager_partlist_interface.php',
        'd3/ordermanager/Application/Model/d3ordermanager_vars.php',
        'd3/ordermanager/Application/Model/d3ordermanager_remark.php',
        'd3/ordermanager/Application/Model/MessageContentGenerator.php',
        'd3/ordermanager/Application/Model/Actions/example.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_custaddtogroup.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_setsendednowdate.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_exportlist.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_actionlist.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_deleteorder.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_stornoorder.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_moveordertofolder.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_setpaiddate.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_changediscount.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_executemethod.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_custdelfromgroup.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_getpdfdocuments.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_generatepdf.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_actiongrouplist.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_changedelcosts.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_abstract.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_sendmail.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_sendpushnotification.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_setfieldvalue.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_interface.php',
        'd3/ordermanager/Application/Model/Actions/d3ordermanager_action_testaction.php',
        'd3/ordermanager/Application/Model/Context/Html2TextContext.php',
        'd3/ordermanager/Application/Model/Context/Html2TextContextInterface.php',
        'd3/ordermanager/Application/Model/Context/InvoicePdfContext.php',
        'd3/ordermanager/Application/Model/Context/InvoicePdfContextInterface.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ordermanager_cronUnavailableException.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ordermanager_requirementException.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ordermanager_templaterendererExceptionInterface.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ordermanager_smartyException.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ActionRequirementInterface.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ActionRequirementAbstract.php',
        'd3/ordermanager/Application/Model/Exceptions/d3ordermanager_actionException.php',
        'd3/ordermanager/Application/Model/Exceptions/emptyMessageException.php',
        'd3/ordermanager/Application/Model/Output/d3ordermanager_debugoutput.php',
        'd3/ordermanager/Application/Model/Output/d3ordermanager_abstractoutput.php',
        'd3/ordermanager/Application/Model/Output/d3ordermanager_nulloutput.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_notinfolderfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_folderfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirementgrouplist.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_toordernr.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_articlestorno.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_mailregexpfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_trackcodefilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirementlist.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_abstract.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_executemethodfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_articlecontent_abstract.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_languagefilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_invoiceno.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_ordersum.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_otherjob.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_orderstorno.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_deliveryfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_noarticlecontent_abstract.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_articlecontent1.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_transactionfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_orderarticlefilter_abstract.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_noarticlecontent1.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_ingroupfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_articlecontent2.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_timespanfilter1.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_ordernonstorno.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_paymentfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_timespanfilter2.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_noarticlecontent2.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_interface.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_orderfield.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_fromordernr.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_datenotset.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_notingroupfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_weekdayfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_currencyfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_timespanfilter_abstract.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_countryfilter.php',
        'd3/ordermanager/Application/Model/Requirements/d3ordermanager_requirement_testfilter.php',
        'd3/ordermanager/Config/services.php',
        'd3/ordermanager/Setup/d3ordermanager_update.php',
        'd3/ordermanager/public/d3_ordermanager_cron.php',

        'd3/ordermanager/Modules/Application/Controller/Admin/d3_order_remark_ordermanager.php',
        'd3/ordermanager/Modules/Application/Model/d3_oxorder_ordermanager.php',
        'd3/ordermanager/Modules/Application/Model/d3_oxbasket_ordermanager.php',
        'd3/ordermanager/Modules/Application/Model/d3_oxbasketitem_ordermanager.php',
        'd3/ordermanager/Modules/Application/Model/d3_oxuser_ordermanager.php',
        'd3/ordermanager/Modules/Application/Model/d3_oxemail_ordermanager.php',

        'd3/ordermanager/Setup/Events.php',

        'd3/ordermanager/tests/additional.inc.php',
        'd3/ordermanager/tests/d3ordermanager_config.php',
        'd3/ordermanager/tests/unit/d3OrdermanagerUnitTestCase.php',
        'd3/ordermanager/tests/unit/Application/Controller/d3ordermanager_responseTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanagerlogTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanagerset_mainTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritemTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanagersetTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_mallTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_actionTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_triggerTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_settingsTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanagerset_listTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_listTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_mainTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_ordermanager_jobsTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_requTest.php',
        'd3/ordermanager/tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_overviewTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanagerTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_executeTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_renderererrorhandlerTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_listgeneratorTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_pdfhandlerTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_remarkTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_exportTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanagerlistTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_confTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_toorderassignmentTest.php',
        'd3/ordermanager/tests/unit/Application/Model/MessageContentGeneratorTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3testscript.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractiongeneratepdfTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionchangediscountTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionchangedelcostsTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionmoveordertofolderTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionstornoorderTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractioncustdelfromgroupTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractiondeleteorderTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionsetpaiddateTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionsetfieldvalueTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractioncustaddtogroupTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionsetsendednowdateTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractiongetpdfdocumentsTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3OrdermanagerActionUnitTestCase.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionexportlistTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractiongrouplistTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionlistTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionsendmailTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionsendpushnotificationTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/d3ordermanageractionexecutemethodTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Actions/exampleTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Context/AbstractContextTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Context/Html2TextContextTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Context/InvoicePdfContextTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Exceptions/d3ordermanager_cronUnavailableExceptionTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Exceptions/d3ordermanager_requirementExceptionTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Exceptions/d3ordermanager_actionExceptionTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Exceptions/emptyMessageExceptionTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequweekdayfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequinvoicenoTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequnoarticlecontent2Test.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequirementgrouplistTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequirementlistTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequtimespanfilter2Test.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequordernonstornoTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequdatenotsetTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequfolderfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequcountryfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequmailregexpfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequnoarticlecontent1Test.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequorderstornoTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequtoordernrTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequtimespanfilter1Test.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequarticlecontent1Test.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequtrackcodefilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequpaymentfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequdeliveryfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequfromordernrTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequordersumTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequexecutemethodfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequlanguagefilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequarticlestornoTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequorderfieldTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequarticlecontent2Test.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequingroupfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequtransactionfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequnotinfolderfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequcurrencyfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequnotingroupfilterTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3ordermanagerrequotherjobTest.php',
        'd3/ordermanager/tests/unit/Application/Model/Requirements/d3OrdermanagerRequirementUnitTestCase.php',
        'd3/ordermanager/tests/unit/Application/Model/Output/d3ordermanager_debugoutputTest.php',
        'd3/ordermanager/tests/unit/Application/Model/d3ordermanager_configurationcheckTest.php',
        'd3/ordermanager/tests/unit/Modules/Application/Controller/Admin/d3_order_remark_ordermanagerTest.php',
        'd3/ordermanager/tests/unit/Modules/Application/Model/d3_oxbasketitem_ordermanagerTest.php',
        'd3/ordermanager/tests/unit/Modules/Application/Model/d3_oxbasket_ordermanagerTest.php',
        'd3/ordermanager/tests/unit/Modules/Application/Model/d3_oxuser_ordermanagerTest.php',
        'd3/ordermanager/tests/unit/Modules/Application/Model/d3_oxorder_ordermanagerTest.php',
        'd3/ordermanager/tests/unit/Modules/Application/Model/d3_oxemail_ordermanagerTest.php',
        'd3/ordermanager/tests/unit/public/d3_ordermanager_cronTest.php',
        'd3/ordermanager/tests/unit/Setup/d3ordermanager_updateTest.php',
        'd3/ordermanager/tests/integration/Requirements/d3OrdermanagerRequirementIntegrationTestCase.php'.
        'd3/ordermanager/tests/integration/Requirements/requirementOrderSumTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementInvoiceNoTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementInGroupFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementArticleContentTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementCountryFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementOrderStornoTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementOtherJobTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementMailRegexpFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementOrderNoStornoTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementTrackCodeFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementLanguageFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementExecuteMethodFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementDateNotSetTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementPaymentFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementNotInGroupFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementToOrderNrTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementArticleStornoTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementNoArticleContentTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementFromOrderNrTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementOrderFieldTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementCurrencyFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementWeekdayFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementTimespanFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementDeliveryFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementTransactionFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementFolderFilterTest.php',
        'd3/ordermanager/tests/integration/Requirements/requirementNotInFolderFilterTest.php',
        'd3/ordermanager/tests/integration/d3IntegrationTestCase.php',
        'd3/ordermanager/tests/integration/Actions/actionSetPaidDateTest.php',
        'd3/ordermanager/tests/integration/Actions/d3OrdermanagerActionIntegrationTestCase.php',
        'd3/ordermanager/tests/integration/Actions/actionDeleteOrderTest.php',
        'd3/ordermanager/tests/integration/Actions/actionSetFieldValueTest.php',
        'd3/ordermanager/tests/integration/Actions/actionCustDelFromGroupTest.php',
        'd3/ordermanager/tests/integration/Actions/actionChangeDelCostsTest.php',
        'd3/ordermanager/tests/integration/Actions/actionExecuteMethodTest.php',
        'd3/ordermanager/tests/integration/Actions/actionSendPushNotificationTest.php',
        'd3/ordermanager/tests/integration/Actions/actionSetSendedNowDateTest.php',
        'd3/ordermanager/tests/integration/Actions/actionStornoOrderTest.php',
        'd3/ordermanager/tests/integration/Actions/actionMoveOrderToFolderTest.php',
        'd3/ordermanager/tests/integration/Actions/actionChangeDiscountTest.php',
        'd3/ordermanager/tests/integration/Actions/actionCustAddToGroupTest.php',
        'd3/ordermanager/tests/integration/Actions/actionExportListTest.php',
        'd3/ordermanager/tests/integration/Requirements/d3OrdermanagerRequirementIntegrationTestCase.php',
        'd3/ordermanager/tests/integration/Requirements/requirementOrderSumTest.php',
        'd3/ordermanager/tests/integration/executeCronTest.php',    // outdated
        'd3/ordermanager/tests/integration/Trigger/executeCLICronTest.php',
        'd3/ordermanager/tests/integration/Trigger/executeGUICronTest.php',
        'd3/ordermanager/tests/integration/Trigger/finalizeOrderTest.php',
        'd3/ordermanager/tests/integration/Trigger/orderSaveTest.php',
        'd3/ordermanager/tests/integration/Admin/jobListTest.php',
        'd3/ordermanager/tests/integration/Admin/jobExecuteTest.php',
        'd3/ordermanager/tests/tools/Intercept.php',

        /****** deprecated end *******/

        'IntelliSenseHelper.php',
        'metadata.php',
        'd3metadata.php',

        'Application/views/admin/blocks/d3ordermanager_order_remark_type.tpl',
        'Application/views/admin/de/d3_ordermanager_lang.php',
        'Application/views/admin/en/d3_ordermanager_lang.php',
        'Application/views/admin/tpl/d3_cfg_ordermanagerset_main.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_list.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_trigger.tpl',
        'Application/views/admin/tpl/d3_ordermanager_bottomnaviitem.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_mall.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_overview.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_requ.tpl',
        'Application/views/admin/tpl/inc/d3_cfg_ordermanageritem_restrictions.tpl',
        'Application/views/admin/tpl/d3_ordermanager_jobs.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_main.tpl',
        'Application/views/admin/tpl/d3_cfg_ordermanageritem_action.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_changediscount.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_generatepdf.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_sendpushnotification.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_sendmail.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_exportlist.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_getpdfdocuments.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_stornoorder.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_executemethod.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_moveordertofolder.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_custdelfromgroup.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_changedelcosts.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_setpaiddate.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_setsendednowdate.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_setfieldvalue.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_deleteorder.tpl',
        'Application/views/admin/tpl/Actions/d3ordermanager_action_custaddtogroup.tpl',
        'Application/views/admin/tpl/email/html/d3ordermanager_delivery_delay.tpl',
        'Application/views/admin/tpl/email/plain/d3ordermanager_delivery_delay.tpl',
        'Application/views/admin/tpl/email/html/d3ordermanager_info_html.tpl',
        'Application/views/admin/tpl/email/plain/d3ordermanager_info_plain.tpl',
        'Application/views/admin/tpl/export-templates/XML-Vorlage.tpl',
        'Application/views/admin/tpl/export-templates/CSV-Vorlage.tpl',
        'Application/views/admin/tpl/inc/d3ordermanager_activeswitch.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_invoiceno.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_folderfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_datenotset.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_notingroupfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_deliveryfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_languagefilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_trackcodefilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_otherjob.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_ingroupfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_notinfolderfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_timespanfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_articlecontent.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_toordernr.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_noarticlecontent.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_articlestorno.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_ordernonstorno.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_currencyfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_orderstorno.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_orderfield.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_ordersum.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_paymentfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_executemethodfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_weekdayfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_mailregexpfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_countryfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_transactionfilter.tpl',
        'Application/views/admin/tpl/Requirements/d3ordermanager_requ_fromordernr.tpl',

        'Application/views/tpl/email/html/d3ordermanager_delivery_delay.tpl',
        'Application/views/tpl/email/html/d3ordermanager_delivery_delay_subject.tpl',
        'Application/views/tpl/email/plain/d3ordermanager_delivery_delay.tpl',

        'Application/Controller/d3ordermanager_response.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_action.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem.php',
        'Application/Controller/Admin/d3_ordermanager_jobs.php',
        'Application/Controller/Admin/d3_cfg_ordermanagerlog.php',
        'Application/Controller/Admin/d3_cfg_ordermanagerset_main.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_mall.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_list.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_requ.php',
        'Application/Controller/Admin/d3_cfg_ordermanagerlog_list.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_settings.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_main.php',
        'Application/Controller/Admin/d3_cfg_ordermanagerset.php',
        'Application/Controller/Admin/d3_cfg_ordermanagerset_list.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_overview.php',
        'Application/Controller/Admin/d3_cfg_ordermanagerset_licence.php',
        'Application/Controller/Admin/d3_cfg_ordermanageritem_trigger.php',

        'Application/Model/d3ordermanager_pdfhandler.php',
        'Application/Model/d3ordermanagerlist.php',
        'Application/Model/d3ordermanager_listgenerator.php',
        'Application/Model/d3ordermanager_export.php',
        'Application/Model/d3ordermanager.php',
        'Application/Model/d3ordermanager_toorderassignment.php',
        'Application/Model/d3ordermanager_execute.php',
        'Application/Model/d3ordermanager_conf.php',
        'Application/Model/d3ordermanager_renderererrorhandler.php',
        'Application/Model/d3ordermanager_actionrequirement_interface.php',
        'Application/Model/d3ordermanager_configurationcheck.php',
        'Application/Model/d3ordermanager_partgrouplist_abstract.php',
        'Application/Model/d3ordermanager_partgrouplist_interface.php',
        'Application/Model/d3ordermanager_partlist_interface.php',
        'Application/Model/d3ordermanager_vars.php',
        'Application/Model/d3ordermanager_remark.php',
        'Application/Model/Actions/example.php',
        'Application/Model/Actions/d3ordermanager_action_custaddtogroup.php',
        'Application/Model/Actions/d3ordermanager_action_setsendednowdate.php',
        'Application/Model/Actions/d3ordermanager_action_exportlist.php',
        'Application/Model/Actions/d3ordermanager_actionlist.php',
        'Application/Model/Actions/d3ordermanager_action_deleteorder.php',
        'Application/Model/Actions/d3ordermanager_action_stornoorder.php',
        'Application/Model/Actions/d3ordermanager_action_moveordertofolder.php',
        'Application/Model/Actions/d3ordermanager_action_setpaiddate.php',
        'Application/Model/Actions/d3ordermanager_action_changediscount.php',
        'Application/Model/Actions/d3ordermanager_action_executemethod.php',
        'Application/Model/Actions/d3ordermanager_action_custdelfromgroup.php',
        'Application/Model/Actions/d3ordermanager_action_getpdfdocuments.php',
        'Application/Model/Actions/d3ordermanager_action_generatepdf.php',
        'Application/Model/Actions/d3ordermanager_actiongrouplist.php',
        'Application/Model/Actions/d3ordermanager_action_changedelcosts.php',
        'Application/Model/Actions/d3ordermanager_action_abstract.php',
        'Application/Model/Actions/d3ordermanager_action_sendmail.php',
        'Application/Model/Actions/d3ordermanager_action_sendpushnotification.php',
        'Application/Model/Actions/d3ordermanager_action_setfieldvalue.php',
        'Application/Model/Actions/d3ordermanager_action_interface.php',
        'Application/Model/Actions/d3ordermanager_action_testaction.php',
        'Application/Model/Exceptions/d3ordermanager_cronUnavailableException.php',
        'Application/Model/Exceptions/d3ordermanager_requirementException.php',
        'Application/Model/Exceptions/d3ordermanager_templaterendererExceptionInterface.php',
        'Application/Model/Exceptions/d3ordermanager_smartyException.php',
        'Application/Model/Exceptions/d3ActionRequirementInterface.php',
        'Application/Model/Exceptions/d3ActionRequirementAbstract.php',
        'Application/Model/Exceptions/d3ordermanager_actionException.php',
        'Application/Model/Exceptions/emptyMessageExceptionTest.php',
        'Application/Model/Output/d3ordermanager_debugoutput.php',
        'Application/Model/Output/d3ordermanager_abstractoutput.php',
        'Application/Model/Output/d3ordermanager_nulloutput.php',
        'Application/Model/Requirements/d3ordermanager_requirement_notinfolderfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_folderfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirementgrouplist.php',
        'Application/Model/Requirements/d3ordermanager_requirement_toordernr.php',
        'Application/Model/Requirements/d3ordermanager_requirement_articlestorno.php',
        'Application/Model/Requirements/d3ordermanager_requirement_mailregexpfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_trackcodefilter.php',
        'Application/Model/Requirements/d3ordermanager_requirementlist.php',
        'Application/Model/Requirements/d3ordermanager_requirement_abstract.php',
        'Application/Model/Requirements/d3ordermanager_requirement_executemethodfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_articlecontent_abstract.php',
        'Application/Model/Requirements/d3ordermanager_requirement_languagefilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_invoiceno.php',
        'Application/Model/Requirements/d3ordermanager_requirement_ordersum.php',
        'Application/Model/Requirements/d3ordermanager_requirement_otherjob.php',
        'Application/Model/Requirements/d3ordermanager_requirement_orderstorno.php',
        'Application/Model/Requirements/d3ordermanager_requirement_deliveryfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_noarticlecontent_abstract.php',
        'Application/Model/Requirements/d3ordermanager_requirement_articlecontent1.php',
        'Application/Model/Requirements/d3ordermanager_requirement_transactionfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_orderarticlefilter_abstract.php',
        'Application/Model/Requirements/d3ordermanager_requirement_noarticlecontent1.php',
        'Application/Model/Requirements/d3ordermanager_requirement_ingroupfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_articlecontent2.php',
        'Application/Model/Requirements/d3ordermanager_requirement_timespanfilter1.php',
        'Application/Model/Requirements/d3ordermanager_requirement_ordernonstorno.php',
        'Application/Model/Requirements/d3ordermanager_requirement_paymentfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_timespanfilter2.php',
        'Application/Model/Requirements/d3ordermanager_requirement_noarticlecontent2.php',
        'Application/Model/Requirements/d3ordermanager_requirement_interface.php',
        'Application/Model/Requirements/d3ordermanager_requirement_orderfield.php',
        'Application/Model/Requirements/d3ordermanager_requirement_fromordernr.php',
        'Application/Model/Requirements/d3ordermanager_requirement_datenotset.php',
        'Application/Model/Requirements/d3ordermanager_requirement_notingroupfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_weekdayfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_currencyfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_timespanfilter_abstract.php',
        'Application/Model/Requirements/d3ordermanager_requirement_countryfilter.php',
        'Application/Model/Requirements/d3ordermanager_requirement_testfilter.php',
        'Config/services.php',
        'Setup/d3ordermanager_update.php',
        'public/d3_ordermanager_cron.php',

        'Modules/Application/Controller/Admin/d3_order_remark_ordermanager.php',
        'Modules/Application/Model/d3_oxorder_ordermanager.php',
        'Modules/Application/Model/d3_oxbasket_ordermanager.php',
        'Modules/Application/Model/d3_oxbasketitem_ordermanager.php',
        'Modules/Application/Model/d3_oxuser_ordermanager.php',
        'Modules/Application/Model/d3_oxemail_ordermanager.php',

        'Setup/Events.php',

        'tests/additional.inc.php',
        'tests/d3ordermanager_config.php',
        'tests/unit/d3OrdermanagerUnitTestCase.php',
        'tests/unit/Application/Controller/d3ordermanager_responseTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanagerlogTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanagerset_mainTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritemTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanagersetTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_mallTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_actionTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_triggerTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_settingsTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanagerset_listTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_listTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_mainTest.php',
        'tests/unit/Application/Controller/Admin/d3_ordermanager_jobsTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_requTest.php',
        'tests/unit/Application/Controller/Admin/d3_cfg_ordermanageritem_overviewTest.php',
        'tests/unit/Application/Model/d3ordermanagerTest.php',
        'tests/unit/Application/Model/d3ordermanager_executeTest.php',
        'tests/unit/Application/Model/d3ordermanager_renderererrorhandlerTest.php',
        'tests/unit/Application/Model/d3ordermanager_listgeneratorTest.php',
        'tests/unit/Application/Model/d3ordermanager_pdfhandlerTest.php',
        'tests/unit/Application/Model/d3ordermanager_remarkTest.php',
        'tests/unit/Application/Model/d3ordermanager_exportTest.php',
        'tests/unit/Application/Model/d3ordermanagerlistTest.php',
        'tests/unit/Application/Model/d3ordermanager_confTest.php',
        'tests/unit/Application/Model/d3ordermanager_toorderassignmentTest.php',
        'tests/unit/Application/Model/d3testscript.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractiongeneratepdfTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionchangediscountTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionchangedelcostsTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionmoveordertofolderTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionstornoorderTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractioncustdelfromgroupTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractiondeleteorderTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionsetpaiddateTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionsetfieldvalueTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractioncustaddtogroupTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionsetsendednowdateTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractiongetpdfdocumentsTest.php',
        'tests/unit/Application/Model/Actions/d3OrdermanagerActionUnitTestCase.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionexportlistTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractiongrouplistTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionlistTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionsendmailTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionsendpushnotificationTest.php',
        'tests/unit/Application/Model/Actions/d3ordermanageractionexecutemethodTest.php',
        'tests/unit/Application/Model/Actions/exampleTest.php',
        'tests/unit/Application/Model/Context/AbstractContextTest.php',
        'tests/unit/Application/Model/Context/Html2TextContextTest.php',
        'tests/unit/Application/Model/Context/InvoicePdfContextTest.php',
        'tests/unit/Application/Model/Exceptions/d3ordermanager_cronUnavailableExceptionTest.php',
        'tests/unit/Application/Model/Exceptions/d3ordermanager_requirementExceptionTest.php',
        'tests/unit/Application/Model/Exceptions/d3ordermanager_actionExceptionTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequweekdayfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequinvoicenoTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequnoarticlecontent2Test.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequirementgrouplistTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequirementlistTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequtimespanfilter2Test.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequordernonstornoTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequdatenotsetTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequfolderfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequcountryfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequmailregexpfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequnoarticlecontent1Test.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequorderstornoTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequtoordernrTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequtimespanfilter1Test.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequarticlecontent1Test.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequtrackcodefilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequpaymentfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequdeliveryfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequfromordernrTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequordersumTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequexecutemethodfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequlanguagefilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequarticlestornoTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequorderfieldTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequarticlecontent2Test.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequingroupfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequtransactionfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequnotinfolderfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequcurrencyfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequnotingroupfilterTest.php',
        'tests/unit/Application/Model/Requirements/d3ordermanagerrequotherjobTest.php',
        'tests/unit/Application/Model/Requirements/d3OrdermanagerRequirementUnitTestCase.php',
        'tests/unit/Application/Model/Output/d3ordermanager_debugoutputTest.php',
        'tests/unit/Application/Model/d3ordermanager_configurationcheckTest.php',
        'tests/unit/Modules/Application/Controller/Admin/d3_order_remark_ordermanagerTest.php',
        'tests/unit/Modules/Application/Model/d3_oxbasketitem_ordermanagerTest.php',
        'tests/unit/Modules/Application/Model/d3_oxbasket_ordermanagerTest.php',
        'tests/unit/Modules/Application/Model/d3_oxuser_ordermanagerTest.php',
        'tests/unit/Modules/Application/Model/d3_oxorder_ordermanagerTest.php',
        'tests/unit/Modules/Application/Model/d3_oxemail_ordermanagerTest.php',
        'tests/unit/public/d3_ordermanager_cronTest.php',
        'tests/unit/Setup/d3ordermanager_updateTest.php',
        'tests/integration/Requirements/d3OrdermanagerRequirementIntegrationTestCase.php'.
        'tests/integration/Requirements/requirementOrderSumTest.php',
        'tests/integration/Requirements/requirementInvoiceNoTest.php',
        'tests/integration/Requirements/requirementInGroupFilterTest.php',
        'tests/integration/Requirements/requirementArticleContentTest.php',
        'tests/integration/Requirements/requirementCountryFilterTest.php',
        'tests/integration/Requirements/requirementOrderStornoTest.php',
        'tests/integration/Requirements/requirementOtherJobTest.php',
        'tests/integration/Requirements/requirementMailRegexpFilterTest.php',
        'tests/integration/Requirements/requirementOrderNoStornoTest.php',
        'tests/integration/Requirements/requirementTrackCodeFilterTest.php',
        'tests/integration/Requirements/requirementLanguageFilterTest.php',
        'tests/integration/Requirements/requirementExecuteMethodFilterTest.php',
        'tests/integration/Requirements/requirementDateNotSetTest.php',
        'tests/integration/Requirements/requirementPaymentFilterTest.php',
        'tests/integration/Requirements/requirementNotInGroupFilterTest.php',
        'tests/integration/Requirements/requirementToOrderNrTest.php',
        'tests/integration/Requirements/requirementArticleStornoTest.php',
        'tests/integration/Requirements/requirementNoArticleContentTest.php',
        'tests/integration/Requirements/requirementFromOrderNrTest.php',
        'tests/integration/Requirements/requirementOrderFieldTest.php',
        'tests/integration/Requirements/requirementCurrencyFilterTest.php',
        'tests/integration/Requirements/requirementWeekdayFilterTest.php',
        'tests/integration/Requirements/requirementTimespanFilterTest.php',
        'tests/integration/Requirements/requirementDeliveryFilterTest.php',
        'tests/integration/Requirements/requirementTransactionFilterTest.php',
        'tests/integration/Requirements/requirementFolderFilterTest.php',
        'tests/integration/Requirements/requirementNotInFolderFilterTest.php',
        'tests/integration/d3IntegrationTestCase.php',
        'tests/integration/Actions/actionSetPaidDateTest.php',
        'tests/integration/Actions/d3OrdermanagerActionIntegrationTestCase.php',
        'tests/integration/Actions/actionDeleteOrderTest.php',
        'tests/integration/Actions/actionSetFieldValueTest.php',
        'tests/integration/Actions/actionCustDelFromGroupTest.php',
        'tests/integration/Actions/actionChangeDelCostsTest.php',
        'tests/integration/Actions/actionExecuteMethodTest.php',
        'tests/integration/Actions/actionSendPushNotificationTest.php',
        'tests/integration/Actions/actionSetSendedNowDateTest.php',
        'tests/integration/Actions/actionStornoOrderTest.php',
        'tests/integration/Actions/actionMoveOrderToFolderTest.php',
        'tests/integration/Actions/actionChangeDiscountTest.php',
        'tests/integration/Actions/actionCustAddToGroupTest.php',
        'tests/integration/Actions/actionExportListTest.php',
        'tests/integration/Requirements/d3OrdermanagerRequirementIntegrationTestCase.php',
        'tests/integration/Requirements/requirementOrderSumTest.php',
        'tests/integration/executeCronTest.php',    // outdated
        'tests/integration/Trigger/executeCLICronTest.php',
        'tests/integration/Trigger/executeGUICronTest.php',
        'tests/integration/Trigger/finalizeOrderTest.php',
        'tests/integration/Trigger/orderSaveTest.php',
        'tests/integration/Admin/jobListTest.php',
        'tests/integration/Admin/jobExecuteTest.php',
        'tests/tools/Intercept.php',
    ],
    'd3SetupClasses'    => [
        ModuleSetup\d3ordermanager_update::class,
    ],
    'd3DICDefinitionFiles'  => [
        'd3/ordermanager/Config/services.yaml',
    ],
];
